@charset "utf-8";
/* CSS Document */
*{
box-sizing:border-box;
}

body{
margin:0;
font-family:Inter,system-ui;
background:#fff;
color:#2d3748;
}
.field.error {
    border:2px solid #dc3545;
    padding:15px;
    border-radius:8px;
    background:#fff5f5;
}
.error{
    border:2px solid #dc3545 !important;
    box-shadow:0 0 8px rgba(220,53,69,.25);
}
a.btnback {
    background: #000;
    color: #fff;
    padding: 3px 20px;
    text-decoration: none;
    width: 145px;
    display: block;
    border-radius: 5px;
    text-align: center;
    line-height: 24px;
    font-size: 14px;
}
a.btnback:hover {
    background: #b29712; 
}
.onboarding-container{
display:flex;
min-height:100vh;
max-width: 1340px;
  margin: 0 auto;    
}
input[type="date"] {
    height: 40px;
    padding: 0 25px 0 12px;
    font-size: 16px;
    position: relative;
    cursor: pointer;
}

/* Chrome, Edge, Safari */
input[type="date"]::-webkit-calendar-picker-indicator {
    width: 25px;
    height: 25px;
    padding: 5px;
    cursor: pointer;
    opacity: 1;
}
input[type="file"] {
    background: #fff;
    width: 100%;
}
.file-box {
    width: 100%;
}

.file-box input[type="file"] {
    display: none;
}

.file-label {
    height: 38px;
    width: 100%;
    background: #fff;
    border: 1px solid #ced4da;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 12px;
    box-sizing: border-box;
    cursor: pointer;
    color: #6c757d;
    font-size: 14px;
}

.file-label:hover {
    border-color: #86b7fe;
}
.file-boxf {
    position: relative;
}
.browse-btn {
    background: #f1f3f5;
    color: #333;
    padding: 5px 20px;
    border-radius: 5px;
    font-size: 14px;
    position: absolute;
    top: 6px;
    left: 7px;
    display: none;
}
.file-label span:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.field.full input {
    margin-bottom: 20px;
}
.repeater button {
    margin-bottom: 10px;
}
.audit-details select {
    padding: 5px 10px;
    min-width: 200px;
    margin-bottom: 15px;
    border: 1px solid #cccc;
    border-radius: 5px;
    height: 40px;
}
/* SIDEBAR */

.sidebar{
  width: 260px;
  background: #ebebeb;
  border-right: 1px solid #eee;
  padding: 30px;
  border-radius: 15px;
  margin-top: 25px;
  margin-left: 20px;
  position: relative;
}
.copyright {
    position: absolute;
    bottom: 21px;
}
.copyright a {
    color: #000;
}
.logo{
margin-bottom:10px;
}

.steps-nav{
list-style:none;
padding:0;
}

.steps-nav li{
padding:10px;
margin-bottom:0px;
border-radius:6px;
cursor:pointer;
color:#6b7280;
}

.steps-nav li.active{
background:#b29712;
color:#fff;
font-weight:600;
}

/* MAIN */

.main-area{
flex:1;
padding:40px;
}

.top-progress{
margin-bottom:30px;
}

.progress-text{
display:flex;
justify-content:space-between;
font-size:14px;
margin-bottom:6px;
color: #b29712;    
}

.progress-bar{
height:8px;
background:#e5e7eb;
border-radius:20px;
}

.progress-fill{
height:100%;
width:8%;
background:#b29712;
transition:.4s;
}

/* CARD */

.card{
background:#ebebeb;
padding:35px;
border-radius:12px;
box-shadow:0 15px 40px rgba(0,0,0,0.05);
}

.card h2{
margin-top:0;
margin-bottom:25px;
}

/* GRID */

.grid-2{
display:grid;
grid-template-columns:1fr 1fr;
gap:20px;
}

.field{
display:flex;
flex-direction:column;
}

.field.full{
grid-column:1/3;
}

label{
font-size:13px;
margin-bottom:6px;
}

input,textarea{
padding:10px;
border:1px solid #d1d5db;
border-radius:6px;
}

input:focus,textarea:focus{
border-color:#4f46e5;
outline:none;
}

/* BUTTONS */

.buttons{
display:flex;
justify-content:space-between;
margin-top:30px;
}

button{
padding:10px 22px;
border:none;
border-radius:6px;
background:#000;
color:white;
cursor:pointer;
}

button:hover{
background:#b29712;
}

.add-btn{
margin-top:15px;
background:#b29712;
}

/* STEP */

.step{
display:none;
animation:fade .3s ease;
}

.step.active{
display:block;
}

@keyframes fade{
from{opacity:0;transform:translateY(10px)}
to{opacity:1;transform:translateY(0)}
}

/* MOBILE */

@media(max-width:900px){

.sidebar{
display:none;
}

.grid-2{
grid-template-columns:1fr;
}

.field.full{
grid-column:auto;
}

}
.grid-4{
display:grid;
grid-template-columns:1fr 1fr 1fr 1fr;
gap:20px;
}

.grid-3{
display:grid;
grid-template-columns:1fr 1fr 1fr;
gap:20px;
}

.description{
font-size:14px;
margin-bottom:20px;
color:#555;
}


.radio-group{
display:flex;
gap:20px;
margin-top:5px;
}

textarea{
width:100%;
padding:8px;
margin-top:5px;
border-radius:4px;
border:1px solid #ccc;
}

 

label{
font-weight:500;
margin-bottom:5px;
display:block;
}

.audit-details label{
font-weight:400;
margin-top:5px;
}

@media(max-width: 768px){
.main-area {
  padding: 15px;
}    
.card {
  padding: 15px;
}
.onboarding-container {
    display: flex;
    min-height: auto;
    max-width: 100%;
    margin: 0 auto;
    flex-wrap: wrap;
  }
.sidebar {
    display: block;
    width: 95% !important;
    margin: 10px auto;
    order: 2;
  }
.grid-4 {
  display: block;
  max-width: 100%;
}
.repeater .grid-4 .field input , .repeater .grid-3 .field input{
  width: 100%;
}
.grid-3 {
  display: block;
}
label {
  margin-top: 10px;
}
.remove-btn {
  margin-top: 15px;
}
.card h2 {
  font-size: 20px;
}
.copyright {
  border-top: 1px dashed;
  width: 85%;
  padding: 15px 0;
  display: block;
  position: relative;
  bottom: 0;
  text-align: center;
}
input[type="date"] {
  width: 100%;
  background: #fff;
}
.top-progress {
  padding-right: 5px;
}

}








